/*******************************
            OSNOVNI CSS
*******************************/

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background-color: aliceblue;
}


/*******************************
            SADRŽAJ
*******************************/

.container {
    height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

article {
    width: 900px;
    background-color: white;
    padding: 10px;
    margin-top: 15px;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}


/*******************************
            PRIMJERI
*******************************/

.box {
    width: 100px;
    height: 100px;
    border-radius: 10px;
    margin: 20px;
    background-color: rgb(15, 179, 233);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
}

.boxovi {
    display: flex;
}


/* START: rotate */

.rotate3d:hover {
    transform: rotate3d(1, 2, 1, 45deg);
}

.rotateX:hover {
    transform: rotateX(45deg);
}

.rotateY:hover {
    transform: rotateY(45deg);
}

.rotateZ:hover {
    transform: rotateZ(45deg);
}

/* END: rotate */


/* START: scale */

.scale:hover {
    transform: scale3d(1.3, 0.8, 0.4);
}

/* END: scale */


/* START: perspective */

.perspective:hover {
    transform: perspective(10cm) rotateX(-15deg) rotateZ(15deg) rotateY(30deg);
}

/* END: perspective */


/* START: matrix */

.matrix:hover {
    transform: matrix3d(0.7, 0.1, 0.7, 0,-0.6, 0.7, 0.2, 0,-0.5, -0.8, 0.7, 0, 10, 10, 0, 1);
}

/* END: matrix */


code {
    font-weight: bold;
    font-size: large;
}

.uvlaka1 {
    margin-left: 5px;
}

.uvlaka2 {
    margin-left: 20px;
}

.svjetloPlava {
    color: rgb(0, 123, 255);
}

.narancasta {
    color: rgb(255, 111, 0);
}

.zuta {
    color: rgb(202, 155, 0);
}

.zelena {
    color: rgb(94, 191, 94);
}

.ruzicasta {
    color: rgb(255, 1, 217);
}